Skip to main content
PATCH
/
telephony_credentials
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const telephonyCredential = await client.telephonyCredentials.update('id');

console.log(telephonyCredential.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
telephony_credential = client.telephony_credentials.update(
id="id",
)
print(telephony_credential.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
telephonyCredential, err := client.TelephonyCredentials.Update(
context.TODO(),
"id",
telnyx.TelephonyCredentialUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", telephonyCredential.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.telephonycredentials.TelephonyCredentialUpdateParams;
import com.telnyx.sdk.models.telephonycredentials.TelephonyCredentialUpdateResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

TelephonyCredentialUpdateResponse telephonyCredential = client.telephonyCredentials().update("id");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

telephony_credential = telnyx.telephony_credentials.update("id")

puts(telephony_credential)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$telephonyCredential = $client->telephonyCredentials->update(
'id',
connectionID: '987654321',
expiresAt: '2018-02-02T22:25:27.521Z',
name: 'My-new-updated-credential',
tag: 'some_tag',
);

var_dump($telephonyCredential);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx telephony-credentials update \
--api-key 'My API Key' \
--id id
curl --request PATCH \
--url https://api.telnyx.com/v2/telephony_credentials/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My-new-updated-credential",
"connection_id": "987654321"
}
'
{
  "data": {
    "id": "c215ade3-0d39-418e-94be-c5f780760199",
    "record_type": "credential",
    "name": "2020-06-18 21:32:38.917732Z",
    "expired": false,
    "user_id": "user-id",
    "resource_id": "connection:804252963366242252",
    "sip_password": "a92dbcfb60184a8cb330b0acb2f7617b",
    "sip_username": "gencrednCvHU5IYpSBPPsXI2iQsDX",
    "created_at": "2020-06-18T21:32:38",
    "expires_at": "2042-06-18T21:32:38",
    "updated_at": "2020-06-18T21:32:38.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identifies the resource.

Body

application/json

Parameters that can be updated in a credential

name
string
tag
string

Tags a credential. A single tag can hold at maximum 1000 credentials.

Example:

"some_tag"

connection_id
string

Identifies the Credential Connection this credential is associated with.

Example:

"987654321"

expires_at
string

ISO-8601 formatted date indicating when the credential will expire.

Example:

"2018-02-02T22:25:27.521Z"

Response

Successful response with details about a credential

data
On-demand Credential · object
Example:
{
"id": "c215ade3-0d39-418e-94be-c5f780760199",
"record_type": "credential",
"name": "2020-06-18 21:32:38.917732Z",
"expired": false,
"user_id": "user-id",
"resource_id": "connection:804252963366242252",
"sip_password": "a92dbcfb60184a8cb330b0acb2f7617b",
"sip_username": "gencrednCvHU5IYpSBPPsXI2iQsDX",
"created_at": "2020-06-18T21:32:38",
"expires_at": "2042-06-18T21:32:38",
"updated_at": "2020-06-18T21:32:38.000Z"
}